Bug 1465586 - Require python-jmespath
Summary: Require python-jmespath
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ansible
Version: 27
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-27 16:57 UTC by Orion Poplawski
Modified: 2017-09-22 08:18 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-09-22 08:18:02 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2017-06-27 16:57:18 UTC
Description of problem:

Use of the json_query filter requires the presence of python-jmespath.  It would be good if this was required or at least recommened.

Version-Release number of selected component (if applicable):
2.3.1.0-1.fc27

Comment 1 Kevin Fenzi 2017-06-29 23:29:09 UTC
This is pretty small and self contained, so I am inclined to just add it... 

But perhaps we should push that with 2.3.2 (which hopefully won't be too much longer).

Comment 2 Fedora Update System 2017-08-13 04:03:28 UTC
ansible-2.3.2.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-322ae91a75

Comment 3 Pavel Cahyna 2017-08-14 15:15:16 UTC
Looking at https://src.fedoraproject.org/rpms/ansible/c/3950c5bd62e720b992546311af4fef51a6e1d51a?branch=master, why do you Require python3-jmespath in the python2-specific block? It should be python2-jmespath, no?

Comment 4 Kevin Fenzi 2017-08-14 23:48:16 UTC
Good eye... but you can see the next commit I fixed that typo: 

https://src.fedoraproject.org/rpms/ansible/c/f6a5cb0b144edd9cf19f77564d31ff4a3e62eb71?branch=master

:)

Comment 5 Jan Kurik 2017-08-15 08:36:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 6 Fedora Update System 2017-08-24 15:51:08 UTC
ansible-2.3.2.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-09-05 22:42:49 UTC
ansible-2.3.2.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-503601886f

Comment 8 Fedora Update System 2017-09-06 22:49:02 UTC
ansible-2.3.2.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-503601886f

Comment 9 Fedora Update System 2017-09-22 08:18:02 UTC
ansible-2.3.2.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.